<?php
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/*                                                                      */
/* NPDS Copyright (c) 2002-2009 by Philippe Brunier                     */
/* IZ-Xmaj version : 1.1.2                                              */
/*                                                                      */
/* Auteurs : v.0.1.0 EBH                                                */
/*         : v.1.1.2 jpb, phr                                           */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

// Bloque le lancement de l'install si IZ-Xinstall.ok existe
if (file_exists("IZ-Xinstall.ok")) {
   include("admin/die.php");
}

#####################################################################
# Paramtres du CMS
#####################################################################

$cms_logo = "install/images/header.png";
$cms_name = "NPDS REvolution 10.02";
$previous_version = "NPDS Sable Evolution 8.06";
global $cms_logo,$cms_name,$previous_version;

#####################################################################
# Contrle des fichiers de base de IZ-Xmaj
#####################################################################

if(file_exists('grab_globals.php'))
include ('grab_globals.php');

if(file_exists('install/libraries/graphIZm.php'))
include ('install/libraries/graphIZm.php');

if(file_exists('install/libraries/lib-inc.php'))
include ('install/libraries/lib-inc.php');

if(!isset($stage)) { $stage = 0; }

#################################################################################
# install/etape_0.php
# Accueil :
#   => install/languages/english/welcome.txt
#   => install/languages/francais/accueil.txt
# Choix de la classe :
#   0 : mise  jour manuelle
#   1 : mise  jour semi automatique
#################################################################################

if(($stage == 0) OR (!isset($classe)))
{
   $colorst1 = "#000000";
   $colorst2 = "#000000";
   $colorst3 = "#000000";
   $colorst4 = "#000000";
   $colorst5 = "#000000";
   $colorst6 = "#000000";
   $colorst7 = "#000000";
   $colorst8 = "#000000";
   $colorst9 = "#000000";
   entete();
   require("install/etape_0.php");
   bienvenue();
   pied_depage();
}
#################################################################################
# install/etape_1.php
# Choix de la langue :
#   => install/languages/*
#################################################################################
//==> mode dbrayable

if(($stage == 1) AND ($classe == 0))
{  
         function icare_delete_Dir($rep) {
         $dir = opendir($rep);
         chdir($rep);
         while($nom = readdir($dir)) {
            if ($nom != "." && $nom != ".." && $nom != "") {
               if (is_dir($nom)) {
                  $archive[$nom] = icare_delete_Dir($nom);
                  rmdir($nom);
               } elseif(is_file($nom)) {
                  @unlink($nom);
              }
            }
         }
         chdir("..");
         closedir($dir);
         return $archive;
         }

   // La suppression de l'installation
//   if (file_exists("install.php") OR is_dir("install")) {
//   icare_delete_Dir('install');
//   @rmdir ( 'install' );
//   @unlink('install.php');
//   }
   // comme on coupe la branche sur laquelle on est assis...les images de cette tape n'apparaitront que si la cache du navigateur les contient sinon on a une prsentation minimaliste mais avec le style car il est inclus dans le html (pour la meme raison...)
   echo"
      <table width=\"900\" align=\"center\" border=\"0\">
   <tr>
   <td align=\"center\" valign=\"middle\">
   <img src=\"".$cms_logo."\" id=\"cms_logo\" alt=\"\" />

   <div style=\"font-family: arial, helvetica, sans-serif;font-size: 12px;color: #000000;font-weight : bold;float: right;padding-top: 4px;\" class=\"cms_name\">".$cms_name."</div>
   </td></tr></table><br />
   
   
   <table width=\"904\" cellpadding=\"2\" cellspacing=\"1\" align=\"center\" border=\"0\">
    <tr style=\"font-family: arial, helvetica, sans-serif; font-size: 12px; background-color: #636e76;\">
     <td colspan=\"2\" align=\"center\" style=\"border: #000000 1px solid; font-family: arial, helvetica, sans-serif; font-size: 12px; color: #ffffff; font-weight : bold;\">Bye Bye ...</td>
    </tr>
    <tr>
     <td width=\"50%\" align=\"justify\" valign=\"top\" style=\"border: #000000 1px solid;\">
     <br />Vous avez choisi la mise &#xe0; jour manuelle <br />Vous allez &#xEA;tre redirig&#xE9; vers l'index de votre site !<br /> Have fun...<br />
     </td>
     <td width=\"50%\" align=\"justify\" valign=\"top\" style=\"border: #000000 1px solid;\">
     <br />You have choose by hand upgrade<br />You will be redirect to the web site index !<br /> Have fun...<br />
     </td>
    </tr>
    <tr>
     <td colspan=\"2\"><br /></td>
    </tr>
   </table>
   <table width=\"900\" align=\"center\" border=\"0\">
    <tr>
     <td align=\"center\" valign=\"middle\"><img src=\"install/images/loader_grey.gif\" alt=\"\" title=\"\" /></td>
    </tr>
    <tr>
     <td align=\"center\" valign=\"middle\"><img src=\"install/images/barredemetal.png\" alt=\"\" /></td>
    </tr>
    <tr>
     <td align=\"center\" valign=\"middle\">IZ-Xmaj version : 1.1.2</td>
    </tr>
   </table>
   <script type=\"text/javascript\" language=\"javascript\">setTimeout(\"location='index.php'\",6000);</script>";
 }
#################################################################################
# install/etape_6.php
# Cration/Mise  jour de la base de donnes
#################################################################################

if(($stage == 6) OR ($classe == 1))
{
   $colorst1 = "#005f3a";
   $colorst2 = "#005f3a";
   $colorst3 = "#005f3a";
   $colorst4 = "#005f3a";
   $colorst5 = "#005f3a";
   $colorst6 = "#FF9900";
   $colorst7 = "#000000";
   $colorst8 = "#000000";
   $colorst9 = "#000000";
   entete();
   menu();
   require("install/etape_6.php");
   if(!isset($op)) { $op = "etape_6"; }
   switch($op)
   {
    case "write_database":
    global $stage, $classe, $langue, $stage6_ok,$NPDS_Prefix,$pre_tab;
    if($classe == 0)
     {
      include("config.php");
      require("install/sql/build_sql-create.php");
      build_sql_create($NPDS_Prefix);
      mysql_connex();
      require("install/sql/sql-create.php");
      write_database();
      echo "<table border=\"0\" cellpadding=\"2\" cellspacing=\"1\" width=\"100%\">
       <tr class=\"tableau_titre\">
        <td align=\"center\" class=\"headform\">".ins_translate("Base de donnes")."</td>
      </tr>
      <tr>
       <td align=\"center\"><br />";
            if($stage6_ok == 1)
            {
               $msg = "La base de donnes a t cre avec succs !";
            }
            elseif($stage6_ok == 0)
            {
               $msg = "La base de donnes n'a pas pu tre cre. Vrifiez les paramtres ainsi que vos fichiers, puis ressayez  nouveau.";
            }
               echo "<form name=\"next\" method=\"post\" action=\"install.php\">
               <table border=\"0\" cellpadding=\"2\" cellspacing=\"1\">
                <tr>
                 <td>".ins_translate($msg)."</td>
                </tr>
               </table><br /><br />";
               if($stage6_ok == 1)
               {
                  echo "<div style=\"text-align: center\">
                     <input type=\"hidden\" name=\"classe\" value=\"".$classe."\" />
                     <input type=\"hidden\" name=\"langue\" value=\"".$langue."\" />
                     <input type=\"hidden\" name=\"stage\" value=\"7\" />
                     <input type=\"submit\" class=\"bouton_standard\" value=\"".ins_translate(" Etape suivante ")."\" />
                     </div><br />";
               }
               echo "</form>
               </td></tr></table></table></table><br />";
            unset($stage6_ok);
         }
         break;
      case "update_database":
         global $stage, $classe, $langue, $stage6_ok,$NPDS_Prefix;
         if($classe == 1)
         {
            include("config.php");
            if($Version_Num == "08.06")
            { @rename("logs","slogs");
            if (is_dir ('logs')) {
             $replog = ins_translate("Copier le contenu de votre dossier /logs dans le dossier /slogs puis supprimer le dossier /logs");}
             mysql_connex();
             require("install/sql/sql-update.php");
             update_database();
             echo "<table border=\"0\" cellpadding=\"2\" cellspacing=\"1\" width=\"100%\">
             <tr class=\"tableau_titre\">
              <td align=\"center\" class=\"headform\">".ins_translate("Base de donnes")."</td>
             </tr>
             <tr>
              <td align=\"center\"><br />";
               if($stage6_ok == 1)
               {
                  $msg = "La base de donnes a t mise  jour avec succs !";
               }
               elseif($stage6_ok == 0)
               {
                  $msg = "La base de donnes n'a pas pu tre modifie. Vrifiez les paramtres ainsi que vos fichiers, puis ressayez  nouveau.";
               }
                  echo "<form name=\"next\" method=\"post\" action=\"install.php\">
                     <table border=\"0\" cellpadding=\"2\" cellspacing=\"1\">
                     <tr>
                     <td>".ins_translate($msg)."<br /><br /></td>
                     </tr>";
                  if($stage6_ok == 1)
                  {
                  $Xinst_log = date('d/m/y  H:j:s').'<br /> Mise  jour d\'une '.$previous_version.' vers '.$cms_name;
                  $file = fopen("slogs/install.log", "w");
                  fwrite($file, $Xinst_log);
                  fclose($file);

                     echo "<tr>
                        <td>".ins_translate("Remarque : pour achever la mise  jour : dans l'interface d'administration valider les prfrences et les metatags")."<br />".$replog."</td>
                        </tr>
                        </table><br /><br />
                        <div style=\"text-align: center\">
                        <input type=\"hidden\" name=\"classe\" value=\"0\" />
                        <input type=\"hidden\" name=\"langue\" value=\"".$langue."\" />
                        <input type=\"hidden\" name=\"stage\" value=\"9\" />
                        <input type=\"submit\" class=\"bouton_standard\" value=\"".ins_translate(" Etape suivante ")."\" />
                        </div><br />";
                  }
                  else
                  {
                     echo "</table><br /><br />";
                  }
                  echo "</form>"
                  ."</td></tr></table></table></table><br />";
               unset($stage6_ok);
            }
            else
            {
               echo "<table border=\"0\" cellpadding=\"2\" cellspacing=\"1\" width=\"100%\">
               <tr class=\"tableau_titre\">
               <td align=\"center\" class=\"headform\">".ins_translate("Base de donnes")."</td>
               </tr>
               <tr>
               <td align=\"center\"><br />
               <div style=\"font-weight: bold; color: #ff0000\">".ins_translate("Votre version de NPDS est incorrecte, version requise")." : ".$previous_version."</div><br />
               </td></tr></table></table></table><br />";
            }
         }
         break;
      case "etape_6":
      default:
         etape_6();
         break;
   }
   pied_depage();
}
#################################################################################
# install/etape_9.php
# suppression du fichier install.php et du dossier install et redirection sur index.php
# Fin
#################################################################################

if(($stage == 9) AND ($classe == 0))
{
   $colorst1 = "#005f3a";
   $colorst2 = "#005f3a";
   $colorst3 = "#005f3a";
   $colorst4 = "#005f3a";
   $colorst5 = "#005f3a";
   $colorst6 = "#005f3a";
   $colorst7 = "#005f3a";
   $colorst8 = "#005f3a";
   $colorst9 = "#FF9900";
   entete();
   menu();
   require("install/etape_9.php");
   if(!isset($op)) { $op = "etape_9"; }
   switch($op)
   {
      case "write_ok":
         $fp = fopen("IZ-Xinstall.ok", "w");
         fclose($fp);

         // La suppression de l'installation
         function icare_delete_Dir($rep) {
         $dir = opendir($rep);
         chdir($rep);
         while($nom = readdir($dir)) {
            if ($nom != "." && $nom != ".." && $nom != "") {
               if (is_dir($nom)) {
                  $archive[$nom] = icare_delete_Dir($nom);
                  rmdir($nom);
               } elseif(is_file($nom)) {
                  @unlink($nom);
              }
            }
         }
         chdir("..");
         closedir($dir);
         return $archive;
         }

         if (file_exists("IZ-Xinstall.ok")) {
            if (file_exists("install.php") OR is_dir("install")) {
               icare_delete_Dir('install');
               @rmdir ('install');
               @unlink('install.php');
            }
         }
         echo "<script type=\"text/javascript\" language=\"javascript\">document.location.href='index.php';</script>";
         break;
      case "etape_9":
      default;
         etape_9();
         break;
   }
   pied_depage();
}
?>